Skip to main content
GET
List Calls

Query Parameters

ai_agent_ids
string[] | null

Filter by one or more AI agent IDs

batch_call_id
string | null

Filter calls by a specific batch call ID to retrieve all calls associated with that batch.

call_id
string | null

Filter by a specific call ID

start_time_before
string | null

Accepts a date (YYYY-MM-DD) or an ISO-8601 instant (2026-06-15T18:00:00Z). A date-only value is expanded to the end of that day in UTC.

start_time_after
string | null

Accepts a date (YYYY-MM-DD) or an ISO-8601 instant (2026-06-15T18:00:00Z). A date-only value is expanded to the start of that day in UTC.

end_time_before
string | null

Accepts a date (YYYY-MM-DD) or an ISO-8601 instant (2026-06-15T18:00:00Z). A date-only value is expanded to the end of that day in UTC.

end_time_after
string | null

Accepts a date (YYYY-MM-DD) or an ISO-8601 instant (2026-06-15T18:00:00Z). A date-only value is expanded to the start of that day in UTC.

sort_direction
enum<string>
required

Sort order by call start time: asc or desc

Available options:
asc,
desc
page_size
integer
required

Number of calls per page (1-100)

Required range: 1 <= x <= 100
page_token
string | null

Token from next_page_token of the previous response, to fetch the next page

Response

Successful Response

calls
(WebCallResponse · object | PhoneCallResponse · object)[]
required

List of call records, can include both web and phone calls

next_page_token
string | null

Token for retrieving the next page of results in paginated responses

total_count
integer | null

Total number of calls matching the query criteria